# Poco::Data

# class ArchiveByAgeStrategy

Library: Data
Package: Logging
Header: Poco/Data/ArchiveStrategy.h

## Description

Archives rows scheduled for archiving.

## Inheritance

Direct Base Classes: ArchiveStrategy

All Base Classes: ArchiveStrategy

## Member Summary

Member Functions: archive, getThreshold, setThreshold

Inherited Functions: archive, getCopyStatement, getCountStatement, getDeleteStatement, getDestination, getSource, getThreshold, open, session, setCopyStatement, setCountStatement, setDeleteStatement, setDestination, setSource, setThreshold

## Constructors

### ArchiveByAgeStrategy

ArchiveByAgeStrategy(
const std::string & connector,
const std::string & connect,
const std::string & sourceTable,
const std::string & destinationTable = DEFAULT_ARCHIVE_DESTINATION
);

## Destructor

### ~ArchiveByAgeStrategy

~ArchiveByAgeStrategy();

## Member Functions

### archive

void archive();

See also: Poco::Data::ArchiveStrategy::archive()

### getThreshold

const std::string & getThreshold() const;

Returns the archive threshold.

See also: Poco::Data::ArchiveStrategy::getThreshold()

### setThreshold

void setThreshold(
const std::string & threshold
);

Sets the archive threshold.

See also: Poco::Data::ArchiveStrategy::setThreshold()